<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ucm_technicalpoliciesPackage.Literals (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ucm_technicalpoliciesPackage.Literals (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_technicalpoliciesPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="Ucm_technicalpoliciesPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies</div>
<h2 title="Interface Ucm_technicalpoliciesPackage.Literals" class="title">Interface Ucm_technicalpoliciesPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">Ucm_technicalpoliciesPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">Ucm_technicalpoliciesPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#LANGUAGE">LANGUAGE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Language</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP">LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP</a></span></code>
<div class="block">The meta object literal for the '<em><b>Constraint1</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#LANGUAGE__BASE_CLASS">LANGUAGE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#NONFUNCTIONAL_ASPECT_MODULE">NONFUNCTIONAL_ASPECT_MODULE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/NonfunctionalAspectModuleImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Nonfunctional Aspect Module</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#NONFUNCTIONAL_ASPECT_MODULE__BASE_PACKAGE">NONFUNCTIONAL_ASPECT_MODULE__BASE_PACKAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#PROGRAMMING_LANGUAGES">PROGRAMMING_LANGUAGES</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/ProgrammingLanguagesImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Programming Languages</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#PROGRAMMING_LANGUAGES__BASE_PACKAGE">PROGRAMMING_LANGUAGES__BASE_PACKAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#PROGRAMMING_LANGUAGES__LANGUAGES">PROGRAMMING_LANGUAGES__LANGUAGES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Languages</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_ASPECT">TECHNICAL_ASPECT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalAspectImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Technical Aspect</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_ASPECT__BASE_CLASS">TECHNICAL_ASPECT__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_ASPECT__MULTIPLICITY">TECHNICAL_ASPECT__MULTIPLICITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Multiplicity</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_ASPECT_CONSTRAINT">TECHNICAL_ASPECT_CONSTRAINT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalAspectConstraint.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code><em>Technical Aspect Constraint</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_POLICY_APPLICABILITY">TECHNICAL_POLICY_APPLICABILITY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code><em>Technical Policy Applicability</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_POLICY_DEFINITION">TECHNICAL_POLICY_DEFINITION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Technical Policy Definition</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_POLICY_DEFINITION__APPLICABILITY">TECHNICAL_POLICY_DEFINITION__APPLICABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Applicability</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html#TECHNICAL_POLICY_DEFINITION__BASE_CLASS">TECHNICAL_POLICY_DEFINITION__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TECHNICAL_ASPECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_ASPECT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TECHNICAL_ASPECT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalAspectImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Technical Aspect</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalAspectImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code>TechnicalAspectImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getTechnicalAspect--"><code>Ucm_technicalpoliciesPackageImpl.getTechnicalAspect()</code></a></dd>
</dl>
</li>
</ul>
<a name="TECHNICAL_ASPECT__MULTIPLICITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_ASPECT__MULTIPLICITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TECHNICAL_ASPECT__MULTIPLICITY</pre>
<div class="block">The meta object literal for the '<em><b>Multiplicity</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TECHNICAL_ASPECT__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_ASPECT__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TECHNICAL_ASPECT__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROGRAMMING_LANGUAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROGRAMMING_LANGUAGES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass PROGRAMMING_LANGUAGES</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/ProgrammingLanguagesImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Programming Languages</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/ProgrammingLanguagesImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code>ProgrammingLanguagesImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getProgrammingLanguages--"><code>Ucm_technicalpoliciesPackageImpl.getProgrammingLanguages()</code></a></dd>
</dl>
</li>
</ul>
<a name="PROGRAMMING_LANGUAGES__BASE_PACKAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROGRAMMING_LANGUAGES__BASE_PACKAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference PROGRAMMING_LANGUAGES__BASE_PACKAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PROGRAMMING_LANGUAGES__LANGUAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROGRAMMING_LANGUAGES__LANGUAGES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference PROGRAMMING_LANGUAGES__LANGUAGES</pre>
<div class="block">The meta object literal for the '<em><b>Languages</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="LANGUAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass LANGUAGE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Language</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code>LanguageImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getLanguage--"><code>Ucm_technicalpoliciesPackageImpl.getLanguage()</code></a></dd>
</dl>
</li>
</ul>
<a name="LANGUAGE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference LANGUAGE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP</pre>
<div class="block">The meta object literal for the '<em><b>Constraint1</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="NONFUNCTIONAL_ASPECT_MODULE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NONFUNCTIONAL_ASPECT_MODULE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NONFUNCTIONAL_ASPECT_MODULE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/NonfunctionalAspectModuleImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Nonfunctional Aspect Module</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/NonfunctionalAspectModuleImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code>NonfunctionalAspectModuleImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getNonfunctionalAspectModule--"><code>Ucm_technicalpoliciesPackageImpl.getNonfunctionalAspectModule()</code></a></dd>
</dl>
</li>
</ul>
<a name="NONFUNCTIONAL_ASPECT_MODULE__BASE_PACKAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NONFUNCTIONAL_ASPECT_MODULE__BASE_PACKAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference NONFUNCTIONAL_ASPECT_MODULE__BASE_PACKAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base Package</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TECHNICAL_POLICY_DEFINITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_POLICY_DEFINITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TECHNICAL_POLICY_DEFINITION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code><em>Technical Policy Definition</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><code>TechnicalPolicyDefinitionImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getTechnicalPolicyDefinition--"><code>Ucm_technicalpoliciesPackageImpl.getTechnicalPolicyDefinition()</code></a></dd>
</dl>
</li>
</ul>
<a name="TECHNICAL_POLICY_DEFINITION__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_POLICY_DEFINITION__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TECHNICAL_POLICY_DEFINITION__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TECHNICAL_POLICY_DEFINITION__APPLICABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_POLICY_DEFINITION__APPLICABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TECHNICAL_POLICY_DEFINITION__APPLICABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Applicability</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TECHNICAL_ASPECT_CONSTRAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TECHNICAL_ASPECT_CONSTRAINT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum TECHNICAL_ASPECT_CONSTRAINT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalAspectConstraint.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code><em>Technical Aspect Constraint</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalAspectConstraint.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code>TechnicalAspectConstraint</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getTechnicalAspectConstraint--"><code>Ucm_technicalpoliciesPackageImpl.getTechnicalAspectConstraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="TECHNICAL_POLICY_APPLICABILITY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TECHNICAL_POLICY_APPLICABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum TECHNICAL_POLICY_APPLICABILITY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code><em>Technical Policy Applicability</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code>TechnicalPolicyApplicability</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesPackageImpl.html#getTechnicalPolicyApplicability--"><code>Ucm_technicalpoliciesPackageImpl.getTechnicalPolicyApplicability()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_technicalpoliciesPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="Ucm_technicalpoliciesPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
